Drobo

Unable to upgrade node.js version

I’m trying to upgrade the version of Node.js of my Drobo 5N, but I’m facing problems it TAR during install.

robo5N:/mnt/DroboFS/Shares/DroboApps $ sudo npm install -g n
Password:
/mnt/DroboFS/Shares/DroboApps/nodejs/bin/n -> /mnt/DroboFS/Shares/DroboApps/nodejs/lib/node_modules/n/bin/n
n@2.1.4 /mnt/DroboFS/Shares/DroboApps/nodejs/lib/node_modules/n

Drobo5N:/mnt/DroboFS/Shares/DroboApps $ sudo n lts

install : node-v6.9.4
mkdir : /usr/local/n/versions/node/6.9.4
fetch : https://nodejs.org/dist/v6.9.4/node-v6.9.4-linux-armv7l.tar.gz
/bin/tar: unrecognized option ‘–strip-components=1’
BusyBox v1.23.2 (2015-11-06 13:39:54 PST) multi-call binary.

Looks like the TAR did not recognize the ‘–strip-components=1’.

Any help you be appreciated.